Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Create customer purge

POST/workspaces/{organizationId}/customers/purge
Path parameters
organizationIdstringrequired
Request body
application/json
sourcedBystring
sourceSessionstring
dryRunboolean
Responses
200

Purged agent-sourced customers

matchednumberrequired
deletednumberrequired
idsstring[]required
Try it
Server
Parameters
Bodyapplication/json
Request
curl -X POST '/workspaces/string/customers/purge' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "sourcedBy": "string",
  "sourceSession": "string",
  "dryRun": true
}'
Response
{
  "matched": 0,
  "deleted": 0,
  "ids": [
    "string"
  ]
}

Was this page helpful?